### Encoding: latin1

### Name: haplin
### Title: Fitting log-linear models to case-parent triad and/or
###   case-control data
### Aliases: haplin


### ** Examples


## Not run: 
##D 
##D # Standard run:
##D haplin("data.dat")
##D 
##D # Specify path, estimate maternal effects:
##D haplin("C:/work/data.dat", maternal = T)
##D 
##D # Specify path, use haplotype no. 2 as reference:
##D haplin("C:/work/data.dat", reference = 2)
##D 
##D # Remove more haplotypes from estimation by increasing the threshold 
##D # to 5%:
##D haplin("C:/work/data.dat", threshold = 0.05)
##D 
##D # Estimate maternal effects, using the most frequent haplotype as reference. 
##D # Use all data, including triads with missing data. Select 
##D # markers 3, 4 and 8 from the supplied data.
##D haplin("C:/work/data.dat", use.missing = T, maternal = T, 
##D reference = "ref.cat", markers = c(3,4,8))
##D # Note: in this version of Haplin, the jackknife is 
##D # no longer necessary since the standard errors are already corrected.
##D 
##D # Some examples showing how to save the Haplin result and later 
##D # recall plot and summary results:
##D 
##D # Same analysis as above, saving the result in the object "result.1":
##D result.1 <- haplin("C:/work/data.dat", use.missing = T, maternal = T, 
##D reference = "ref.cat", markers = c(3,4,8))
##D 
##D # Replot the saved result (fetal effects):
##D plot(result.1)
##D 
##D # Replot the saved result (maternal effects):
##D plot(result.1, plot.maternal = T)
##D 
##D # Print a very short summary of saved result:
##D result.1
##D 
##D # A full summary of saved result, with confidence intervals and 
##D # p-values (the same as haplin prints when running):
##D summary(result.1)
##D 
##D # Some examples when the data file contains two covariates, 
##D # the second is the case-control variable:
##D 
##D # The following standard triad run is INCORRECT since it disregards 
##D # case status:
##D haplin("data.dat", use.missing = T, n.vars = 2, design = "triad")
##D 
##D # Combined run on "hybrid" design, correctly using both case-parent 
##D # triads and control-parent triads:
##D haplin("data.dat", use.missing = T, n.vars = 2, ccvar = 2, 
##D design = "cc.triad")
##D 
##D # If parent columns are not in the file, a plain case-control 
##D # run can be used:
##D haplin("data.dat", use.missing = T, n.vars = 2, ccvar = 2, 
##D design = "cc", response = "mult", reference = "ref.cat")
##D 
## End(Not run)




